Issue 11483

Title
Log exception only in with_pool decorator and not for UserError and UserWarning
Priority
feature
Status
resolved
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2022-05-13.12:32:57 by ced, last changed 2 weeks ago by roundup-bot.

Messages

New changeset a771def58327 by Cédric Krier in branch 'default':
Do not convert exceptions in HTTPException for RPC calls
https://hg.tryton.org/tryton-env/rev/a771def58327
New changeset ecaf2dd04f42 by Cédric Krier in branch 'default':
Do not convert exceptions in HTTPException for RPC calls
https://hg.tryton.org/trytond/rev/ecaf2dd04f42
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-06-13.10:33:54
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-06-13.10:31:12

I re-open it because it breaks the message errors for RPC call: https://www.tryton.org/~irclog/2022-06-13.log.html#t09:06-3

New changeset 0f527fe2c637 by Cédric Krier in branch 'default':
Unify logging exception in wrappers
https://hg.tryton.org/tryton-env/rev/0f527fe2c637
New changeset 013abca098a7 by Cédric Krier in branch 'default':
Unify logging exception in wrappers
https://hg.tryton.org/trytond/rev/013abca098a7
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-05-13.12:32:57

For now there are logs in with_transaction and user_application decorator. This result in multiple logging of the same exception.
Indeed it will be better to only log at the highest level which is with_pool (without it it is only non Tryton code can be used).
Also we should not log UserError nor UserWarning but return them as HTTPException as 400 BAD REQUEST.

History
Date User Action Args
2022-06-15 18:52:49roundup-botsetmessages: + msg77090
2022-06-15 18:52:43roundup-botsetmessages: + msg77089
status: testing -> resolved
2022-06-13 10:54:21reviewbotsetmessages: + msg77055
2022-06-13 10:33:54cedsetmessages: + msg77054
reviews: 435131003 -> 435131003,423381003
status: in-progress -> testing
2022-06-13 10:31:12cedsetmessages: + msg77053
status: resolved -> in-progress
2022-06-09 09:30:03roundup-botsetmessages: + msg77034
2022-06-09 09:29:58roundup-botsetmessages: + msg77033
nosy: + roundup-bot
status: testing -> resolved
2022-05-13 12:55:25reviewbotsetmessages: + msg76625
nosy: + reviewbot
2022-05-13 12:34:12cedsetkeyword: + review
reviews: 435131003
status: in-progress -> testing
2022-05-13 12:32:57cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)